# Turn off the brp-python-bytecompile script,
# it somehow (dont remember how:) badly affects python builds
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


Name: sugar-server
Version: 1.0
Release: 15.1
Group: Development/Tools/Other
Summary: Core services for Sugar users
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/The_Server

Source: sugar-server-1.0.tar.gz
Source1: sweet.tar.gz



Requires: python
Requires: bios-crypto-tools
Requires: openssh-server

BuildRequires: python

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Core services for Sugar users

%prep
%setup -n sugar-server-1.0

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install
install -m 0755 -D sugar-server %{buildroot}/.dest/%{_bindir}/sugar-server && install -m 0755 -d %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'` && cp -r sugar_server %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'`/ && install -m 0755 -d %{buildroot}/.dest/%{_datadir}/doc/sugar-server && cp AUTHORS COPYING HACKING INSTALL README TODO %{buildroot}/.dest/%{_datadir}/doc/sugar-server/ && install -m 0755 -D sugar-server.d %{buildroot}/.dest/%{_sysconfdir}/init.d/sugar-server && sed -i 's#@PROG@#%{_bindir}/sugar-server#g' %{buildroot}/.dest/%{_sysconfdir}/init.d/sugar-server
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-server.files
rm -rf %{buildroot}/.dest
# TODO Times for directories are 0, maybe it is OBS misconfiguration issue
find %{buildroot} -type d -exec touch {} \;

%post
getent group sugar_server || groupadd -r sugar_server; getent passwd sugar_server || useradd -r -d /library -s /bin/sh -M -g sugar_server -p '*' sugar_server; getent passwd sugar_keyring || useradd -r -d / -s /sbin/nologin -M -g sugar_server sugar_keyring

%preun


%clean
rm -rf %{buildroot}

%files -f sugar-server.files

%changelog
